ldconfig e suas msgs vs. v4l2 (q pacote do slack contém ele?) [RESOLVIDO]

1. ldconfig e suas msgs vs. v4l2 (q pacote do slack contém ele?) [RESOLVIDO]

Fernando Tietê da Silveira Fragoso
f_tyet

(usa Slackware)

Enviado em 23/12/2013 - 18:23h

lcavalheiro, ou qualquer slacker de plantão (hehe), ajudem-me aqui:

Todo .txz que eu instalo, seja do Slackbuilds, seja de outra fonte...

no final aparece o seguinte:

 Installing package mozilla-firefox-26.0-x86_64-1.txz:
PACKAGE DESCRIPTION:
# mozilla-firefox (Mozilla Firefox Web browser)
#
# This project is a redesign of the Mozilla browser component written
# using the XUL user interface language. Firefox empowers you to
# browse faster, more safely and more efficiently than with any other
# browser.
#
# Visit the Mozilla Firefox project online:
# http://www.mozilla.org/projects/firefox/
#
/sbin/ldconfig: /usr/lib64/libv4l2.so.0 is not a symbolic link

/sbin/ldconfig: /usr/lib64/libv4lconvert.so.0 is not a symbolic link

Executing install script for mozilla-firefox-26.0-x86_64-1.txz.
Package mozilla-firefox-26.0-x86_64-1.txz installed.


(Já pesquisei bastante, mas não achei nada específico pra esse "problema")

Só pra vcs entenderem, eu passei a receber essa msg, depois que instalei (na unha) o v4l para que o skype reconhecesse a minha webcam, que o sistema já reconhecia, mas ele não.

Existe algum problema disso estar aparecendo? Será só frescura minha, tentar tirar essa msg?

Eu não sei, exatamente, o que eu fiz, só sei que não achei, no repositório do Slackbuilds (da versão 14.1) o pacote do v4l e (acho) descobri um .txz dele, de alguma versão antiga do Slack...

Enfim, aguardo alguma alma generosa que me ensine como desistalar essa "cáca" que eu fiz e possa pegar algum pacote novo pra compilar e instalar corretamente.. rs

|m|

Fernando Tietê.



  


2. Re: ldconfig e suas msgs vs. v4l2 (q pacote do slack contém ele?) [RESOLVIDO]

Luís Fernando C. Cavalheiro
lcavalheiro

(usa Slackware)

Enviado em 23/12/2013 - 22:30h

Desinstala esse pacote que você pegou por aí porque o v4l faz parte da instalação full do Slackware. Reinstale o pacote padrão com o comando
 # slackpkg install v4l-utils 

Depois de reinstalar o v4l padrão, lê isso aqui http://slackbuilds.org/slackbuilds/14.1/network/skype/README.SLACKWARE


3. Re: ldconfig e suas msgs vs. v4l2 (q pacote do slack contém ele?) [RESOLVIDO]

Fernando Tietê da Silveira Fragoso
f_tyet

(usa Slackware)

Enviado em 24/12/2013 - 02:37h

lcavalheiro escreveu:

Desinstala esse pacote que você pegou por aí porque o v4l faz parte da instalação full do Slackware. Reinstale o pacote padrão com o comando
 # slackpkg install v4l-utils 

Depois de reinstalar o v4l padrão, lê isso aqui http://slackbuilds.org/slackbuilds/14.1/network/skype/README.SLACKWARE


Cara, não sei... mas tem coisa que, comigo, é mais de rosca do que o normal... rsrs

Eu descobri que não foi um pacote tipo v4l.qualquercoisa.txz que eu havia "achado por aí", mas sim, tão somente o pacote "libv4l-0.5.99-x86_64-1.txz", que eu instalei e que foi o único que satisfez a dep para que o skype rodasse "enchergando" a minha webcam... além de colocar aquelas especificações do README.SLACKWARE...

Este "libv4l-0.5.99-x86_64-1.txz" eu até desinstalei... mas ele disse que existiam alguns arquivos que ele deixou de apagar porque eram referenciados por outros pacotes... dentre eles, os tais, aí, que o ldconfig está reclamando...

Tipo, eu descobri que o v4l-utils já estava instalado... até mesmo, quando eu estava tentando fazer o skype reconher a webcam... ou seja, o problema do ldconfig ainda continua, mesmo eu tendo desinstalado a tal "libv4l-0.5.99-x86_64-1.txz", que supostamente estava conflitando com algo... até reinstalei ela, até uma segunda opinião, agora com mais todas essas informações...


Abraços.


Fernando Tietê.




4. Re: ldconfig e suas msgs vs. v4l2 (q pacote do slack contém ele?) [RESOLVIDO]

Fernando Tietê da Silveira Fragoso
f_tyet

(usa Slackware)

Enviado em 24/12/2013 - 03:17h

Só pra informar...


Eu corrigi os links

/usr/lib64/libv4l2.so.0
/usr/lib64/libv4lconvert.so.0

que, por alguma razão estrana e bizarra, estavam linkados com outros arquivos...

eu achei os verdadeiros "libv4l2.so.0" e "libv4lconvert.so.0", em:

/usr/lib64/pkgconfig/libv4l2.so.0
/usr/lib64/pkgconfig/libv4lconvert.so.0


linkei direitinho e parou de dar a as msgs de erro do ldconfig.

Por ora, RESOLVIDO! rs








Patrocínio

Site hospedado pelo provedor RedeHost.
Linux banner
Linux banner
Linux banner

Destaques

Artigos

Dicas

Tópicos

Top 10 do mês

Scripts